#include <bits/stdc++.h>
using namespace std;
int n;
int const maxn = 10005;
int nums[maxn];
bool even[maxn];

int main()
{

    int sum=0;
    cin>>n;
    for(int i=0; i<n; i++)
    {
        cin>>nums[i];
        if(nums[i]%2==0)
            even[i] = 1;
    }
    for(int i= 0; i<n; i++)
    {
        int j = i;
        while (!even[j]&&j<n)
        {
            j++;
        }
        sum+=n-j;

    }
    cout<<sum;
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
}
